Disable multiple samples
Disables samples, ensuring that they are excluded from the dataset. Depending on the number of affected samples this will either execute immediately or return the ID of a job that will perform this action in batches.
Query Parameters
Filter samples by metadata key-value pairs, provided as a JSON string. Each item in the filter list is an object with the following properties: - "key": Metadata key to filter on. - "op": Operator ("eq" for positive match, "neq" for negative match). - "values": (optional) Array of values to match/exclude. If omitted or empty, matches/excludes all values for the key. In addition to filter objects, the following option objects can be specified: - { "no_metadata": boolean } - If true, include samples without any metadata - { "filters_combinator": ("and" | "or") } - Specifies the combinator and matching mode: - "and": All filter items must match (logical AND). - "or": Any filter item may match (logical OR); samples with metadata keys not present in the filters are included.
"Example 1: returns samples where metadata key \"foo\" is 'bar' or 'baz' AND\nmetadata key \"k\" is \"v\".\n[\n { \"no_metadata\": true },\n { \"filters_combinator\": \"and\" },\n { \"key\": \"foo\", \"op\": \"eq\", \"values\": [\"bar\", \"baz\"] },\n { \"key\": \"k\", \"op\": \"eq\", \"values\": [\"v\"] }\n]\n\nExample 2: returns samples where metadata key \"foo\" is not 'bar'. Samples\nwithout any metadata are filtered out.\n[\n { \"no_metadata\": false },\n { \"filters_combinator\": \"or\" },\n { \"key\": \"foo\", \"op\": \"neq\", \"values\": [\"bar\"] }\n]\n"